summaryrefslogtreecommitdiff
path: root/init.d/tmpfiles.dev.in
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/tmpfiles.dev.in')
-rw-r--r--init.d/tmpfiles.dev.in21
1 files changed, 21 insertions, 0 deletions
diff --git a/init.d/tmpfiles.dev.in b/init.d/tmpfiles.dev.in
new file mode 100644
index 0000000..477fafa
--- /dev/null
+++ b/init.d/tmpfiles.dev.in
@@ -0,0 +1,21 @@
+#!@SBINDIR@/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Released under the 2-clause BSD license.
+
+description="set up tmpfiles.d entries"
+
+depend()
+{
+ use dev-mount
+ before dev
+ keyword -prefix -vserver
+}
+
+start()
+{
+ ebegin "setting up tmpfiles.d entries for /dev"
+ @LIBEXECDIR@/sh/tmpfiles.sh --prefix=/dev --create --remove \
+ ${tmpfiles_opts}
+ eend $?
+ return 0
+}